# Copyright (c) Vitaliy Pryadko
# 2005 ( http://www.opennet.ru/base/sys/skystar2_linux.txt.html )
# 
        
DIR=/usr/local/
# PID вашего провайдера 
PID=0x1038 
# Название интерфейса, через который производится получение пакетов
DEV_NAME=dvb0_0 
# IP карты dvb. смотреть в мануале или в и-нете. Чаще всего ставится "от балды"
IP_ADDR=10.95.2.1
# Сетевая маска
NETMASK=255.255.255.255
# Адрес широковещательных пакетов
BCAST=255.255.255.255
# здесь пишем MAC dvb карты. 
# Если фильтрация производится по IP-адресу,
# то последние четыре октета устанавливаются
# в шестнадцатеричное представление этого адреса:
# 
MAC_ADDR=00:00:0A:FC:F3:9F

cd $DIR/bin 
        
case "$1" in 
        
		start) 
            # настраиваем карту на приём данных со спутника
            # частота, скорость передачи данных, поляризация и так далее
            $DIR/bin/szap -c /etc/channels.conf -n 1 -x 
            # создаем сетевой интерфейс: 
            $DIR/bin/dvbnet -p $PID 
            # присваеваем карте IP 
            /sbin/ifconfig $DEV_NAME $IP_ADDR netmask ${NETMASK} broadcast ${BCAST}
            # присваеваем карте MAC-адрес
            /sbin/ifconfig $DEV_NAME hw ether $MAC_ADDR 
	    	route add ${IP_ADDR} dev ${DEV_NAME}
            echo 0 > /proc/sys/net/ipv4/conf/dvb0_0/rp_filter 
            ;; 

        stop) 
            /sbin/ifconfig $DEV_NAME down 
            $DIR/bin/dvbnet -d 0 
            ;; 

        restart) 
            $0 stop 
            $0 start 
            ;; 
        *) 
            echo "Usage: `basename $0` start | stop | restart" 
            ;; 

        esac

